package com.usky.vpp.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.vpp.service.vo.BiddingConfigRequest;
import com.usky.vpp.service.vo.BiddingConfigVO;

import java.time.LocalDateTime;

/**
 * 竞价配置服务
 */
public interface VppBiddingConfigService {

    CommonPage<BiddingConfigVO> page(String configName,
                                     LocalDateTime effectiveStart,
                                     LocalDateTime effectiveEnd,
                                     Integer current,
                                     Integer size);

    BiddingConfigVO get(Long id);

    Long create(BiddingConfigRequest request);

    void update(Long id, BiddingConfigRequest request);

    void delete(Long id);
}
